export interface JSONCompilerOptions {
    allowJs?: boolean;
    allowSyntheticDefaultImports?: boolean;
    allowUnreachableCode?: boolean;
    allowUnusedLabels?: boolean;
    alwaysStrict?: boolean;
    baseUrl?: string;
    charset?: string;
    declaration?: boolean;
    declarationDir?: string;
    disableSizeLimit?: boolean;
    emitBOM?: boolean;
    emitDecoratorMetadata?: boolean;
    experimentalDecorators?: boolean;
    forceConsistentCasingInFileNames?: boolean;
    importHelpers?: boolean;
    inlineSourceMap?: boolean;
    inlineSources?: boolean;
    isolatedModules?: boolean;
    jsx?: "preserve" | "react-native" | "react";
    jsxFactory?: string;
    lib?: Array<"es5" | "es6" | "es2015" | "es7" | "es2016" | "es2017" | "dom" | "dom.iterable" | "webworker" | "scripthost" | "es2015.core" | "es2015.collection" | "es2015.generator" | "es2015.iterable" | "es2015.promise" | "es2015.proxy" | "es2015.reflect" | "es2015.symbol" | "es2015.symbol.wellknown" | "es2016.array.include" | "es2017.object" | "es2017.sharedmemory" | "es2017.string">;
    locale?: string;
    mapRoot?: string;
    maxNodeModuleJsDepth?: number;
    module?: "none" | "commonjs" | "amd" | "system" | "umd" | "es6" | "es2015";
    moduleResolution?: "node" | "classic";
    newLine?: "crlf" | "lf";
    noEmit?: boolean;
    noEmitHelpers?: boolean;
    noEmitOnError?: boolean;
    noErrorTruncation?: boolean;
    noFallthroughCasesInSwitch?: boolean;
    noImplicitAny?: boolean;
    noImplicitReturns?: boolean;
    noImplicitThis?: boolean;
    noImplicitUseStrict?: boolean;
    noLib?: boolean;
    noResolve?: boolean;
    noUnusedLocals?: boolean;
    noUnusedParameters?: boolean;
    out?: string;
    outDir?: string;
    outFile?: string;
    paths?: any;
    preserveConstEnums?: boolean;
    project?: string;
    reactNamespace?: string;
    removeComments?: boolean;
    rootDir?: string;
    rootDirs?: string[];
    skipDefaultLibCheck?: boolean;
    skipLibCheck?: boolean;
    sourceMap?: boolean;
    sourceRoot?: string;
    strictNullChecks?: boolean;
    suppressExcessPropertyErrors?: boolean;
    suppressImplicitAnyIndexErrors?: boolean;
    target?: "es3" | "es5" | "es6" | "es2015" | "es2016" | "es2017" | "esnext";
    traceResolution?: boolean;
    typeRoots?: string[];
    types?: string[];
    [option: string]: any;
}
